
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)report.h	2.3 JWC"; */

#ifndef REPORT_H
#define REPORT_H

/*
 *  ReportCard - Records performace by scoring group
 */

typedef struct ReportCard ReportCard;

#include "collect.h"

#define NBUCKETS 5
#define TRIESPER 3

struct oneGrade
{
    int tries[NBUCKETS];
    int hits[NBUCKETS];
    int zone; 
    int class;
};

struct ReportCard
{
    char *name;
    Collection *allGrades;
    int zoneTotal;
};

#if __STDC__

extern ReportCard *ReportCard_new(char *name);
extern ReportCard *ReportCard_loadFromFile(ReportCard *self, FILE *stream);
extern void ReportCard_record(ReportCard *self, int class, int hits, int tries);
extern void ReportCard_printOn(ReportCard *self, FILE *stream);
extern int ReportCard_pickClass(ReportCard *self);
extern void ReportCard_destroy(ReportCard *self);

#else

extern ReportCard *ReportCard_new();
extern ReportCard *ReportCard_newFromFile();
extern void ReportCard_record();
extern void ReportCard_printOn();
extern int ReportCard_pickClass();
extern void ReportCard_destroy();

#endif

#endif

